<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "credmain";
$file = "creditnotemulti.php";

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

//IF (isset($_GET['credtype']) != "") {
//    $zcredtype = "$_GET[credtype]";
//} ELSE {
//    $zcredtype = "G";
//}

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `invno` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `mydt` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "1") {
        $cond = "AND `partyname` = '$searchTerm'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `netamt` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "2") {
        $cond = "AND `invno` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "3") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "1") {
        $cond = "AND `partyname` LIKE '%$searchTerm%'";
    } elseif ($_REQUEST["sfield"] == "5") {
        $cond = "AND `netamt` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `vouchno`";
} elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `invno`";
} elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `mydt`";
} elseif ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `partyname`";
} elseif ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `netamt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn, "Create temporary table `cr` SELECT a.`vouchno`, a.`invno`, Date_format(vouchdt,'%d-%m-%Y') as mydt,
                        b.name as partyname, a.`netamt` FROM `$maindb` a,accmast b WHERE 
                        b.accode = a.party  $keycond") or die(mysqli_error($conn));

$srchresult = "SELECT * FROM `cr` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo" or die(mysqli_error($conn));

$result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'     => $ctr,
        'keyfld'    => $keyfld,
        'vouchno'   => $r['vouchno'],
        'invno'     => $r['invno'],
        'mydt'      => $r['mydt'],
        'partyname' => $r['partyname'],
        'netamt'    => $r['netamt'],
        'action'    => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
